## gtkhtml3.14 3.24.4-osso15+0m5

=== debian/changelog ===
gtkhtml3.14 (3.24.4-osso15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Tue, 15 Sep 2009 16:25:41 +0300

gtkhtml3.14 (3.24.4-osso15) unstable; urgency=low

  * gtkhtml_420_set_word_char_wrapping.diff
    Added: new gtk_html_set_word_chap_wrapping API. Patch by José Dapena Paz.
    Fixes: NB#134905 (ASCII mails dont wrap around in UI)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 11 Sep 2009 14:41:29 +0300

gtkhtml3.14 (3.24.4-osso14) unstable; urgency=low

  * gtkhtml_410_no_link_click_on_panning.diff
    Updated. Patch by José Dapena Paz.
    Fixes: NB#119400 (Dragging over image link opens the link in browser)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 09 Sep 2009 15:27:51 +0300

gtkhtml3.14 (3.24.4-osso13) unstable; urgency=low

  * gtkhtml_410_no_link_click_on_panning.diff
    Keep track of accumulated movement during panning to avoid spurious
    clicks on panning. Patch by José Dapena Paz.
    Fixes: NB#119400 (Dragging over image link opens the link in browser)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 02 Sep 2009 15:07:15 +0300

gtkhtml3.14 (3.24.4-osso12) unstable; urgency=low

  * gtkhtml_400_configure_custom_panning.diff
    - Call html_engine_set_focus_object on the press event, previously
      not called if you are not on auto-panning mode
    Fixes: NB#134276 (URL link not highlighted when pressed)

 -- Alejandro Pinheiro <apinheiro@igalia.com>  Fri, 21 Aug 2009 14:02:12 +0200

gtkhtml3.14 (3.24.4-osso11) unstable; urgency=low

  * gtkhtml_400_configure_custom_panning.diff
    - Customize the panning feature on gtkhtml
    Fixes: NB#113458 (CSM missing for links received in mail)

 -- Alejandro Pinheiro <apinheiro@igalia.com>  Mon, 10 Aug 2009 18:09:57 +0200

gtkhtml3.14 (3.24.4-osso10) unstable; urgency=low

  * gtkhtml_340_gdk_threads.diff:
    - Use gdk_threads_add_idle/timeout() to make the GtkHTML threadsafe.
    Fixes: NB#128906 (Crash in html_draw_queue_flush () / idle_handler ())

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 29 Jul 2009 19:19:48 +0200

gtkhtml3.14 (3.24.4-osso9) unstable; urgency=low

  * gtkhtml_290_set_image_max_size.diff:
    - Do not resize image when rendering cancelled
    - do nothing when factory gone; maybe the message drawing has been
    cancelled
  * Fixes: NB#111881 - Modest sometimes after closing a viewer and starting to
    scroll the messages view

 -- David Kedves <kedazo@gmail.com>  Mon, 27 Apr 2009 14:49:57 +0200

gtkhtml3.14 (3.24.4-osso8) unstable; urgency=low

  * Fixes: NB#110429 - Modest crashed once when cancelling "Move to folder"
    dialog, navigating to messages view and trying to scroll the view

 -- David Kedves <kedazo@gmail.com>  Wed, 15 Apr 2009 12:05:30 +0200

gtkhtml3.14 (3.24.4-osso7) unstable; urgency=low

  * Added patch: gtkhtml_330_char_encoding_support.diff         
  * Backported proper content-type handling from svn.gnome.org
    You should call gtk_html_set_default_engine (html, TRUE);
    if you want proper character encoding conversion.
  * Fixes: NB#110349

 -- David Kedves <kedazo@gmail.com>  Tue, 14 Apr 2009 13:37:32 +0200

gtkhtml3.14 (3.24.4-osso6) unstable; urgency=low

  * Added patch: gtkhtml_320_dnd_disable_api.diff
  * New API function: gtk_html_set_allow_dnd (GtkHTML *self, gboolean allowed)
  * Fixes: NB#110127 - Randomly modest crashed when attempt to access the
    message from Inbox
  * Fixes: NB#110644 - Once modest crashed immediately after closing a message
    viewer

 -- David Kedves <kedazo@gmail.com>  Tue, 14 Apr 2009 10:18:37 +0200

gtkhtml3.14 (3.24.4-osso5) unstable; urgency=low

  * Added patch: gtkhtml_300_coverity_findings.diff
  * Fixes: NB#109456 - Coverity findings in gtkhtml
  * Added some workarounds to avoid crashes like NB#110429 

 -- David Kedves <kedazo@gmail.com>  Thu, 09 Apr 2009 13:50:39 +0200

gtkhtml3.14 (3.24.4-osso4) unstable; urgency=low

  * gtkhtml_290_set_image_max_size.diff:
  - Use GdkPixbuf instead of GdkPixbufAnimation for rescaled
    images due to GTK+ limitation (gdk_pixbuf_loader_set_size)
  - Only rescale images which bigger than max size,
    (this preserve small animations)
  * Fixes: NB#107923 -  Device reboots when attempt to open a message with
    certain image inserted to message body from sent folder .

 -- David Kedves <kedazo@gmail.com>  Tue, 07 Apr 2009 04:36:44 +0200

gtkhtml3.14 (3.24.4-osso3) unstable; urgency=low

  * Added API:
    void gtk_html_set_max_image_size (GtkHTML *html, gint width, gint height);
  * Fixes: NB#107923 -  Device reboots when attempt to open a message with
    certain image inserted to message body from sent folder .

 -- David Kedves <kedazo@gmail.com>  Wed, 01 Apr 2009 12:09:08 +0200

gtkhtml3.14 (3.24.4-osso2) unstable; urgency=low

  * Added some pointer validation in pop_element_by_type 
  * Fixes: NB#102434 - rss application crashed

 -- David Kedves <kedazo@gmail.com>  Fri, 20 Mar 2009 08:56:15 +0100

gtkhtml3.14 (3.24.4-osso1) unstable; urgency=low

  * Updated upstream version to 3.24.4
  * gtkhtml/gtkhtml.c:
    - gtk_html_begin_content: fixed content_type handling

 -- David Kedves <kedazo@gmail.com>  Mon, 02 Mar 2009 11:21:28 +0100

gtkhtml3.14 (3.24.0-osso7) unstable; urgency=low

  * Renaming package to gtkhtml3.14 

 -- David Kedves <kedazo@gmail.com>  Wed, 21 Jan 2009 17:20:48 +0100

gtkhtml (3.24.0-osso6) unstable; urgency=low

  * Retagged

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Tue, 09 Dec 2008 10:40:07 +0200

gtkhtml (3.24.0-osso5) unstable; urgency=low

  * Fixed intrepid->unstable in debian/changelog

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Tue, 09 Dec 2008 10:37:34 +0200

gtkhtml (3.24.0-osso4) unstable; urgency=low

  * Retagged to fix NB#94759 gtkhtml0 package shall be recompiled to reduce SIGILL probability


