=== debian/control ===
Source: gtkhtml3.14
Section: libs
Priority: optional
Maintainer: Jakub Pavelek <jakub.pavelek@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2:2.12), libgconf2-dev, intltool
Standards-Version: 3.6.0

Package: gtkhtml3.14-dev
Section: devel
Architecture: any
Depends: gtkhtml3.14 (= ${Source-Version})
Description: Development files for GtkHTML without Gnome dependencies
 Development files for GtkHTML without Gnome dependencies

Package: gtkhtml3.14
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GtkHTML shared library without Gnome dependencies
 GtkHTML shared library without Gnome dependencies

Package: gtkhtml3.14-dbg
Section: devel
Architecture: any
Depends: gtkhtml3.14 (= ${Source-Version})
Description: Debug symbols for GtkHTML
