## gtkhtml3.14 3.30.3

=== debian/changelog ===
gtkhtml3.14 (1:3.30.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
  * debian/control:
    - Add Vcs-Bzr link
  * debian/libgtkhtml-editor0.shlibs:
  * debian/libgtkhtml3.14-19.shlibs:
    - Add epoch (accidentally added in Ubuntu)
  * debian/patches/gtkhtml3.14_ftbfs.diff:
    - Build without DGTK_DISABLE_DEPRECATED to fix FTBFS
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 Aug 2010 14:22:37 +1000

gtkhtml3.14 (3.30.3-1) unstable; urgency=low

  * New upstream bugfix release, don't bump shlibs.
  * debian/control:
    - update standards version to 3.9.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Aug 2010 13:47:26 +0200

gtkhtml3.14 (3.30.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - install some information on bug reporting.
    - don't try to be smart at symlinking /usr/share/doc.
  * debian/bug-presubj: warn user that she should report upstream issues
    directly to upstream bugzilla because of lack of time and manpower.
  * debian/control:
    - bump debhelper build-dep for dh_bugfiles.
  * debian/*shlibs:
    - bump dependencies to 2.30.2.
  * Switch to 3.0 (quilt) format.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 Jun 2010 10:16:04 +0200

gtkhtml3.14 (3.30.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 16 May 2010 23:21:31 +0200

gtkhtml3.14 (3.30.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/libgtkhtml3.14-19.shlibs, debian/libgtkhtml-editor0.shlibs:
    - bump shlibs dependencies to 2.30.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 26 Apr 2010 20:08:44 +0200

gtkhtml3.14 (3.30.0-1) experimental; urgency=low

  * New upstream release.
  * debian/watch updated to track stable releases.
  * debian/libgtkhtml3.14-19.shlibs, debian/libgtkhtml-editor0.shlibs:
    - bump shlibs dependencies to 2.30, conflicts against 2.31.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 23 Apr 2010 08:06:09 +0200

gtkhtml3.14 (3.29.92.1-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/copyright updated.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 21 Mar 2010 19:18:54 +0100

gtkhtml3.14 (3.29.92-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/*.shlibs:
    - bump shlibs requirements.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 08 Mar 2010 23:15:37 +0100

gtkhtml3.14 (3.29.91-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/*.shlibs:
    - bump shlibs requirements.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 23 Feb 2010 21:38:18 +0100

gtkhtml3.14 (3.29.90-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/*.shlibs:
    - bump shlibs requirement.
    - bump standards version to 3.8.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 08 Feb 2010 22:31:08 +0100

gtkhtml3.14 (3.29.6-1) experimental; urgency=low

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 26 Jan 2010 08:37:46 +0100

gtkhtml3.14 (3.29.5-1) experimental; urgency=low

  * New upstream development release.
  * debian/control:
    - bump GTK+ build-dep to 2.18.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 14 Jan 2010 08:09:02 +0100

gtkhtml3.14 (3.29.3-1) experimental; urgency=low

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 02 Dec 2009 22:36:09 +0100

gtkhtml3.14 (3.29.2-1) experimental; urgency=low

  [3.29.1]
  * New upstream development release.
  * debian/watch:
    - edited to track development releases.
  * debian/*.shlibs:
    - bump shlibs to depend on gtkhtml 2.29
  * debian/rules:
    - force build of static libs.

  [3.29.2]
  * New upstream release. 

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 16 Nov 2009 21:52:56 +0100

gtkhtml3.14 (3.28.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-editing-crash dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Oct 2009 18:26:03 +0200

gtkhtml3.14 (3.28.0-3) unstable; urgency=low

  * debian/control:
    - move editor-common in the libs section.                   closes: #548279
  * debian/patches/
    - 01_fix-editing-crash added.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 25 Sep 2009 10:19:07 +0200

gtkhtml3.14 (3.28.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/libgtkhtml3.14-19.shlibs:
    - add an shlib for libgtkhtml3.14-19 too so people doesn't try to mess
      development with stable releases.                closes: #537161, #535948

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 Sep 2009 10:55:51 +0200

gtkhtml3.14 (3.28.0-1) experimental; urgency=low

  * New upstream release.
  * debian/watch:
    - updated to track stable releases.
  * debian/libgtkhtml-editor0.shlibs:
    - update shlibs to force dependency on stable release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 22 Sep 2009 08:23:01 +0200

gtkhtml3.14 (3.27.92-1) experimental; urgency=low

  * New upstream release candidate.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 08 Sep 2009 12:13:43 +0200

gtkhtml3.14 (3.27.91-1) experimental; urgency=low

  * New upstream beta release.
  * debian/control:
    - update standards version to 3.8.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 24 Aug 2009 19:28:16 +0200

gtkhtml3.14 (3.27.90-1) experimental; urgency=low

  * New upstream release candidate.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 11 Aug 2009 21:05:43 +0200

gtkhtml3.14 (3.27.5-1) experimental; urgency=low

  * New upstream development release.
  * debian/control:
    - add strict versionned dependency on libgtkhtml-editor-common to
      libgtkhtml-editor0

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Aug 2009 22:36:07 +0200

gtkhtml3.14 (3.27.4-1) experimental; urgency=low

  * New upstream development release.
  * debian/control:

