=== debian/control ===
Source: gtkhtml3.14
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Heikki Henriksen <heikkih@gmail.com>,
           Oystein Gisnas <oystein@gisnas.net>,
           Pedro Fragoso <ember@ubuntu.com>,
           Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.1
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtkhtml3.14/ubuntu
Build-Depends: debhelper (>= 7.2.3~),
               cdbs (>= 0.4.37),
               dpkg-dev (>= 1.14.16),
               pkg-config,
               libtool,
               intltool (>= 0.36.3),
               libgail-dev (>= 1.1.0),
               libgnomeui-dev (>= 2.0.0),
               libpango1.0-dev (>= 1.5),
               liborbit2-dev,
               libsoup2.4-dev,
               libgtk2.0-dev (>= 2.18.0),
               gnome-icon-theme (>= 1.2.0),
               gnome-pkg-tools,
               chrpath,
               libenchant-dev,
               libgconf2-dev,
               iso-codes

Package: libgtkhtml3.14-19
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Suggests: libgtkhtml3.14-dbg
Replaces: gtkhtml3.14 (<< 3.16.0)
Conflicts: gtkhtml3.14 (<< 3.16.0)
Description: HTML rendering/editing library - runtime files
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the library and the translations.

Package: libgtkhtml3.14-dev
Architecture: any
Section: libdevel
Depends: libgtkhtml3.14-19 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libgnomeui-dev,
         libgtk2.0-dev (>= 2.10.0),
         libenchant-dev,
         iso-codes
Description: HTML rendering/editing library - development files
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the headers and files used for development.

Package: libgtkhtml3.14-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libgtkhtml3.14-19 (= ${binary:Version}),
         ${misc:Depends}
Description: HTML rendering/editing library - debug files
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the unstripped libraries used for debugging purposes.

Package: libgtkhtml-editor0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtkhtml-editor-common (= ${source:Version})
Breaks: libgtkhtml3.14 (<< 3.26)
Description: HTML rendering/editing library - editor widget
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the editor widget.

Package: libgtkhtml-editor-common
Section: libs
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Conflicts: gtkhtml3.14
Replaces: gtkhtml3.14
Description: HTML rendering/editing library - editor widget data
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the editor widget data.

Package: libgtkhtml-editor-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libgtkhtml-editor0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: HTML rendering/editing library - editor widget development files
 GtkHTML is a lightweight HTML rendering/printing/editing engine.
 .
 This package contains the headers and files used for development.
