## gtkhtml3.14 3.32.2

=== debian/changelog ===
gtkhtml3.14 (1:3.32.2-0ubuntu4) trusty; urgency=medium

  * Merge packaging changes from debian:
    - enable hardening wrapper
    - link against libm
  * Use autoreconf for better new port coverage.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Dec 2013 10:50:57 +0000

gtkhtml3.14 (1:3.32.2-0ubuntu3) precise; urgency=low

  * Add deprecated_g_thread_init.patch: Fix deprecated g_thread_init() call.
    (LP: #911125)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Jan 2012 15:27:38 +0100

gtkhtml3.14 (1:3.32.2-0ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:39:50 -0700

gtkhtml3.14 (1:3.32.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Feb 2011 14:00:43 +1100

gtkhtml3.14 (1:3.32.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 26 Nov 2010 11:14:46 +1100

gtkhtml3.14 (1:3.32.0-0ubuntu1) natty; urgency=low

  * New upstream release 3.32.0
    - Crash after closing inline view of text attachment (LP: #178959, #284060)
    - Translations not working in Emoticons, Find/Replace dialogs (LP: #562633)
  * debian/patches/gtkhtml3.14_ftbfs.patch: dropped.
  * debian/rules: append API_VER for libgtkhtml-editor chrpath as well
  * debian/libgtkhtml-editor-dev.install: append api version to pkgconfig
    file name.
  * debian/*.shlibs: update shlibs files for new version with same soname, also
    rename libgtkhtml-editor to libgtkhtml-editor-3.14
  * debian/control: Replaces/Conflicts gtkhtml3.14 (<< 3.32.0)
  * debian/control: bump libgtk2.0-dev and libgail-dev Build-Depends to 2.20
  * debian/rules: disable deprecation warnings so the build completes

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 02 Nov 2010 14:34:48 -0400
