=== debian/control ===
--- 
+++ 
@@ -15,15 +15,17 @@
 Build-Depends: debhelper (>= 7.2.3~),
                cdbs (>= 0.4.37),
                dpkg-dev (>= 1.14.16),
+               dh-autoreconf,
+               hardening-includes,
                pkg-config,
                libtool,
                intltool (>= 0.36.3),
-               libgail-dev (>= 1.1.0),
+               libgail-dev (>= 2.20.0),
                libgnomeui-dev (>= 2.0.0),
                libpango1.0-dev (>= 1.5),
                liborbit2-dev,
                libsoup2.4-dev,
-               libgtk2.0-dev (>= 2.18.0),
+               libgtk2.0-dev (>= 2.20.0),
                gnome-icon-theme (>= 1.2.0),
                gnome-pkg-tools,
                chrpath,
@@ -37,8 +39,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Suggests: libgtkhtml3.14-dbg
-Replaces: gtkhtml3.14 (<< 3.16.0)
-Conflicts: gtkhtml3.14 (<< 3.16.0)
+Replaces: gtkhtml3.14 (<< 3.32.0)
+Conflicts: gtkhtml3.14 (<< 3.32.0)
 Description: HTML rendering/editing library - runtime files
  GtkHTML is a lightweight HTML rendering/printing/editing engine.
  .
